Bug 498204 - Review Request: perl-Wx-Perl-DataWalker - implement subclass that shows relatively simple structure
Summary: Review Request: perl-Wx-Perl-DataWalker - implement subclass that shows relat...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 498203
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-29 13:07 UTC by Marcela Mašláňová
Modified: 2009-05-18 05:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 05:49:39 UTC
Type: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2009-04-29 13:07:16 UTC
Spec URL: http://mmaslano.fedorapeople.org/review/perl-Wx-Perl-DataWalker.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-Wx-Perl-DataWalker-0.02-1.fc11.src.rpm
Description:
Wx::Perl::DataWalker implements a Wx::Frame subclass that shows a
relatively simple Perl data structure browser. After opening such a frame
and supplying it with a reference to an essentially arbitrary data
structure, you can visually browse it by double-clicking references.

Comment 1 Parag AN(पराग) 2009-04-29 16:18:21 UTC
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1328860
build failed
DEBUG util.py:256:  No Package Found for perl(YAML::XS) >= 0.32

Comment 3 Parag AN(पराग) 2009-05-04 05:09:58 UTC
waiting for perl(YAML::XS) >= 0.32
build failed
http://koji.fedoraproject.org/koji/taskinfo?taskID=1334582

Comment 4 Marcela Mašláňová 2009-05-05 08:06:35 UTC
From some strange reason it doesn't build for this BR with number of release. perl(YAML::XS) 0.32 is in mock, see the new build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1336436

http://mmaslano.fedorapeople.org/review/perl-Wx-Perl-DataWalker-0.02-3.fc11.src.rpm

Comment 5 Parag AN(पराग) 2009-05-13 06:29:01 UTC
still links not present. unable to download SRPM

Comment 6 Marcela Mašláňová 2009-05-13 06:57:23 UTC
I'm sorry, I've prepared too many packages...
Here it is
http://mmaslano.fedorapeople.org/review/perl-Wx-Perl-DataWalker-0.02-3.fc11.src.rpm

Comment 7 Parag AN(पराग) 2009-05-15 07:14:40 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1355744
+ rpmlint output for SRPM and for RPM.
perl-Wx-Perl-DataWalker.src: W: summary-not-capitalized implement subclass that shows relatively simple structure
== >fix this
+ source files match upstream url
d199c6a765168282c574c744bfdf707e10bb5549  Wx-Perl-DataWalker-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=1,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.27 cusr  0.01 csys =  0.33 CPU)
+ Package perl-Wx-Perl-DataWalker-0.02-2.fc12.noarch =>
Provides: perl(Wx::Perl::DataWalker) = 0.02 perl(Wx::Perl::DataWalker::CurrentLevel) = 0.01
Requires: perl >= 0:5.008001 perl(Devel::Size) perl(Scalar::Util) perl(Wx) perl(Wx::Event) perl(Wx::Perl::DataWalker::CurrentLevel) perl(constant) perl(overload) perl(strict) perl(warnings)
+ Not a GUI application

Suggestions:
1) fix rpmlint message
APPROVED.

Comment 8 Marcela Mašláňová 2009-05-15 07:29:58 UTC
New Package CVS Request
=======================
Package Name: perl-Wx-Perl-DataWalker
Short Description: Implement subclass that shows relatively simple structure
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig

Comment 9 Kevin Fenzi 2009-05-15 23:53:44 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.